dnl Copyright 2004 Jason Long
dnl
dnl This file is part of owperlprovider.
dnl
dnl Owperlprovider is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl Owperlprovider is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with Owperlprovider; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

dnl owperl_OPENWBEM
dnl ------------
dnl
dnl Defines OPENWBEM_CFLAGS and OPENWBEM_LIBS

AC_DEFUN([owperl_OPENWBEM],
  [

AC_ARG_WITH(openwbem,
[  --with-openwbem         prefix where OpenWBEM was installed])

AC_MSG_CHECKING(for OpenWBEM library)
if test "x$with_openwbem" != "x" ; then
    OPENWBEM_PREFIX="$with_openwbem"
elif test "x$OPENWBEM" != "x" ; then
    OPENWBEM_PREFIX="$OPENWBEM"
else
    OPENWBEM_PREFIX="/usr/local"
fi

if test -e "$OPENWBEM_PREFIX/include/openwbem/OW_CIM.hpp"; then
    if test -e "$OPENWBEM_PREFIX/lib/libopenwbem.so"; then
        OPENWBEM_CFLAGS="-I$OPENWBEM_PREFIX/include"
	OPENWBEM_LDFLAGS="-L$OPENWBEM_PREFIX/lib -lopenwbem"
	AC_MSG_RESULT(found)
    else
        openwbem_error="OpenWBEM library not found"
    fi
else
    openwbem_error="OpenWBEM header files not found"
fi

if test "x$openwbem_error" != "x" ; then
    AC_MSG_RESULT(not found)
fi

AC_SUBST(OPENWBEM_PREFIX)
AC_SUBST(OPENWBEM_CFLAGS)
AC_SUBST(OPENWBEM_LDFLAGS)
  ])
