#!/usr/bin/perl

use strict;
use warnings;

use ApacheStyleParser;

my $apacheconfig = ApacheStyleParser->new('httpd.conf');
printSection($apacheconfig, '');
#$apacheconfig->save;

sub printSection
{
	my ($section, $indent) = @_;
	
	print $indent, $section->name, ":\n";
	$indent .= '  ';
	foreach my $prop (@{$section->properties})
	{
		print $indent;
		if (defined $prop->name)
		{
			print $prop->name, ": ";
		}
		print $prop->value, "\n";
	}
	foreach my $subsection (@{$section->children})
	{
		printSection($subsection, $indent);
	}
}
